Bug 134584 - string search in messages, garbles up highlight and text message
string search in messages, garbles up highlight and text message
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
http://members.chello.nl/a.t.meinen/e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 16:08 EDT by Tino Meinen
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:19:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tino Meinen 2004-10-04 16:08:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
Searching for text in the body of messages, garbles up parts of the
message, and highlighting of the search-string matches is messed up


Version-Release number of selected component (if applicable):
2.0.1

How reproducible:
Always

Steps to Reproduce:
1. Using: search: Body contains.
2. Enter a string to search for.
3. press the search button
   -> the messages conting the string are displayed (correctly)
4. Click one of the messages to see the contents.
5. Notice that the search string is not, or in other cases only
partially highlithed (example in
http://members.chello.nl/a.t.meinen/evohighlight.png)
6. Notice that part of the message (in this case the footer is garbled up)
 Compare the same message displayed without the search string 'filter':
http://members.chello.nl/a.t.meinen/evohighlight2.png




    

Actual Results:  see the first screenshot

Expected Results:  search string match should be highlighted
correctly, text message should not be displayed garbled up.

Additional info:

-This is only a display thing. Text is not actually altered.
-Searching does produce a correct list of found messages.
-I have reports from people on IRC that they don't see the behaviour
on their distribution. But perhaps these people didn't understand the
problem correctly.
-Someone suggested it might be dependant on the used theme. I found no
such dependancy.
-bug was in evolution 2.0.0. as well

--This bug is pretty visible, I'm surprised it wasn't reported
earlier. Oh well...
Comment 1 Tino Meinen 2004-10-17 16:42:01 EDT
this bug is still present in evolution-2.0.2-1
Comment 2 Tino Meinen 2004-10-27 20:37:38 EDT
I filed the bug upstream in ximian's bugzilla, but apparently this is
a  fedora problem. It might be related to a wrong gtkhtml package?
This is the relevant ximian bug:

http://bugzilla.ximian.com/show_bug.cgi?id=68463
Comment 3 Dave Malcolm 2004-10-29 16:31:59 EDT
I think it's a gtkhtml3 bug.  I'm seeing similar symptoms (no
highlighting at all, in fact), with gtkhtml3-3.3.2-3

What version are you running?
Comment 4 Dave Malcolm 2004-10-29 16:36:39 EDT
(we're running the gtkhtml 3.3.* branch in order to make use of Owen
Taylor's work on improved Pango support there; I believe most other
people are running the 3.2.* branch - so this could explain why it's a
FC3-specific bug)
Comment 5 Tino Meinen 2004-10-29 19:16:41 EDT
Thanks for looking into this. I was feeling kinda lonely in here...:)
I was using gtkhtml3-3.3.2-3 as well.
But on a fc2 system, with a gtkhtml3-3.1.16-2 version evolution2 shows
the same problems.

Note:
When you search for just the occurance of one word, you usually do not
see any highlighting at all. If you type part of a whole sentence, if
you are lucky, some words will highlight (partly).



Comment 6 Tino Meinen 2004-10-29 19:40:05 EDT
Alright I think a found a pattern.
If you type in a word, and then, repeat the same word minus the last
letter, you'll find the the word highlights (minus) the last letter.
(so for example if you type the words: "directory director" the word
directory will have the letters 'director' highlighted.)

Hope that helps

Another thing is, that if you search with enough words, somethimes the
displaying of the header of the message gets garbeld up.

Hope that all makes sense.

Comment 7 Tino Meinen 2005-01-04 12:53:17 EST
it is still present in the latest versions of evolution/html on fc3
final. Any news on this?
Comment 8 Tino Meinen 2005-02-26 11:16:12 EST
The bug is still present in evolution 2.0.4 for FC3.

In addition to comment #6 : 
it doesn't make a difference if you search for:
"directory director" or "director directory". In both cases the word
directory will have the letters director highlighted.

Comment 9 Darren Brierton 2005-02-27 23:23:19 EST
Just to add a "me too" to this bug report. I see *exactly* the
described behaviour. This is on FC3 with evo 2.0.2. I'll report back
when evo 2.0.4 is available from updates-released.
Comment 11 Matthew Miller 2006-07-10 16:44:30 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 12 John Thacker 2006-10-30 10:19:09 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.
 It has remained in NEEDINFO status for quite a long period of time, asking for
confirmation on a more recent (still fully supported) version of Fedora Core.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.